List Forms
curl --request GET \
--url https://api.opnform.com/external/zapier/forms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opnform.com/external/zapier/forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opnform.com/external/zapier/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"slug": "<string>",
"title": "<string>",
"visibility": "public",
"tags": [
"<string>"
],
"language": "<string>",
"custom_domain": "<string>",
"theme": "default",
"font_family": "<string>",
"color": "<string>",
"dark_mode": "light",
"width": "centered",
"size": "sm",
"border_radius": "none",
"layout_rtl": true,
"uppercase_labels": true,
"cover_picture": "<string>",
"logo_picture": "<string>",
"no_branding": true,
"transparent_background": true,
"submit_button_text": "<string>",
"submitted_text": "<string>",
"redirect_url": "<string>",
"re_fillable": true,
"re_fill_button_text": "<string>",
"confetti_on_submission": true,
"show_progress_bar": true,
"submission_retention_value": 1825,
"submission_retention_unit": "day",
"closes_at": "2023-11-07T05:31:56Z",
"closed_text": "<string>",
"max_submissions_count": 2,
"max_submissions_reached_text": "<string>",
"auto_save": true,
"auto_focus": true,
"enable_partial_submissions": true,
"editable_submissions": true,
"editable_submissions_button_text": "<string>",
"password": "<string>",
"use_captcha": true,
"captcha_provider": "recaptcha",
"can_be_indexed": true,
"seo_meta": {},
"custom_code": "<string>",
"database_fields_update": [
"<unknown>"
],
"properties": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"help": "<string>",
"hidden": true,
"required": true,
"placeholder": "<string>",
"width": "full"
}
]
}
]Zapier
List Forms
Retrieve a list of forms available in a specific workspace.
GET
/
external
/
zapier
/
forms
List Forms
Authorizations
Personal Access Token
Query Parameters
The ID of the workspace for which to list forms
Response
200 - application/json
Successful response
The unique identifier for the form.
The URL-friendly slug for the form.
The title of the form.
The current visibility state of the form.
Available options:
public, draft, closed Two-letter ISO language code.
Available options:
default, simple, notion Available options:
light, dark, auto Available options:
centered, full Available options:
sm, md, lg Available options:
none, small, full Whether to hide the OpnForm branding.
Transparent background when form is embedded.
Maximum string length:
50Maximum string length:
2000Maximum string length:
50Number of retention units before a submission is permanently deleted. Set this and submission_retention_unit to null to disable automatic deletion.
Required range:
1 <= x <= 3650Calendar unit used by submission_retention_value. Both retention fields must be provided together.
Available options:
day, week, month, year Required range:
x >= 1Maximum string length:
50Available options:
recaptcha, hcaptcha An array of field and layout blocks that make up the form.
Show child attributes
Show child attributes
Was this page helpful?